Locations
    • Locations Specification
    • Schema
    • Find a location
      GET
    • Get auto suggest values
      GET
    • Lookup a postcode
      GET
    • Lookup a known location
      GET
    • Create a batch job
      POST
    • Gets the status of a batch job
      GET
    • Gets the parsed results for a job
      GET
    • Gets a location from lat, long.
      GET
    • Schemas
      • Schemas
        • Location
        • Point
        • Postcode
        • Job

      Lookup a postcode

      GET
      /postcode

      This endpoint will only lookup postcodes, it will be on /postcode it will also receive a query ?q= and it will search for postcodes only using our postcodes index on elastic. It should returns the results verbatim.

      Request

      Query Params

      Request Code Samples

      Shell
      JavaScript
      Java
      Swift
      Go
      PHP
      Python
      HTTP
      C
      C#
      Objective-C
      Ruby
      OCaml
      Dart
      R
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location 'https://mock.apidog.com/m1/460771-0-default/postcode?q=undefined'

      Responses

      🟢200OK
      application/json
      Bodyapplication/json

      Example
      [
          {
              "location_hash": "string",
              "postcode": "string",
              "country": "string"
          }
      ]
      🟠406Not Acceptable
      Modified at 2024-02-12 13:17:59
      Previous
      Get auto suggest values
      Next
      Lookup a known location
      Built with